Package oracle.dbtools.plugin.api.security

## Interface AuthenticationChallenge.Builder

- Enclosing interface:
    AuthenticationChallenge

      public static interface AuthenticationChallenge.Builder

  Build `AuthenticationChallenge` instances
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuthenticationChallenge` | `build()` | Build `AuthenticationChallenge` instance
    `AuthenticationChallenge.Builder` | `error​(java.lang.CharSequence errorCode, Translatable errorDescription)` | Create an error parameter and an error_description parameter
    `AuthenticationChallenge.Builder` | `parameter​(java.lang.CharSequence name, java.lang.CharSequence value)` | Create a parameter with a value which cannot be localized
    `AuthenticationChallenge.Builder` | `parameter​(java.lang.CharSequence name, Translatable value)` | Create a parameter with a value which may be localized
    `AuthenticationChallenge.Builder` | `realm​(java.lang.CharSequence realm)` | Specify the realm parameter for this challenge

- - ### Method Detail

    - #### build

          AuthenticationChallenge build()

      Build `AuthenticationChallenge` instance
      Returns:
        `AuthenticationChallenge` instance

    - #### error

          AuthenticationChallenge.Builder error​(java.lang.CharSequence errorCode,
                                                Translatable errorDescription)

      Create an error parameter and an error_description parameter
      Parameters:
        `errorCode` - The nonlocalizable error code identifier
        `errorDescription` - The localizable error description (may be null)
      Returns:
        self

    - #### parameter

          AuthenticationChallenge.Builder parameter​(java.lang.CharSequence name,
                                                    java.lang.CharSequence value)

      Create a parameter with a value which cannot be localized
      Parameters:
        `name` - The name of the parameter (not localized)
        `value` - The non-localizable value of the parameter
      Returns:
        self

    - #### parameter

          AuthenticationChallenge.Builder parameter​(java.lang.CharSequence name,
                                                    Translatable value)

      Create a parameter with a value which may be localized
      Parameters:
        `name` - The name of the parameter (not localized)
        `value` - The translatable value of the parameter
      Returns:
        self

    - #### realm

          AuthenticationChallenge.Builder realm​(java.lang.CharSequence realm)

      Specify the realm parameter for this challenge
      Parameters:
        `realm` - The realm name
      Returns:
        self